Post
/api/mcp-manager/access/credentials
Security
HTTP
Type bearer
Body parameters
object
txIds
Array of string
string
Responses
200
Credentials retrieved successfully
object
status
string
appProfileCreds
Array of object (McpAppProfileCredsResponse)
object
profileName
string
creds
object
property*
object additionalProperties
resourceProfileCreds
Array of object (McpResourceProfileCredsResponse)
object
profileName
string
creds
string
secretsData
Array of object (McpSecretResponse)
object
name
string
value
object
property*
string additionalProperties
customResponse
Array of object (McpCustomProviderCredsResponse)
object
name
string
creds
object
property*
object additionalProperties
202
Credentials request accepted, processing in progress
object
status
string
appProfileCreds
Array of object (McpAppProfileCredsResponse)
object
profileName
string
creds
object
property*
object additionalProperties
resourceProfileCreds
Array of object (McpResourceProfileCredsResponse)
object
profileName
string
creds
string
secretsData
Array of object (McpSecretResponse)
object
name
string
value
object
property*
string additionalProperties
customResponse
Array of object (McpCustomProviderCredsResponse)
object
name
string
creds
object
property*
object additionalProperties
404
Not Found